Uploaded image for project: 'Apache MADlib'
  1. Apache MADlib
  2. MADLIB-1196

Make MADlib dmg artifact backwards compatible to older OSX version

    Details

    • Type: Bug
    • Status: Open
    • Priority: Major
    • Resolution: Unresolved
    • Affects Version/s: None
    • Fix Version/s: v1.15
    • Component/s: Build System
    • Labels:
      None

      Description

      In MADlib 1.13 release, we provided a dmg for mac. It doesn't work on OSX El Capitan and earlier OSX version because there was some APFS filesystem change from Sierra to High Sierra. For 1.13 this dmg artifact was compiled on High Sierra, which caused this problem. After test this 1.13 dmg artifact will only support OSX Sierra and up.

      For 1.14, we have to dig into this and find a way to make it backwards compatible so it also work on El Capitan and earlier OSX version(maybe compile on Sierra or El Capitan instead of High Sierra).

        Attachments

          Activity

            People

            • Assignee:
              Unassigned
              Reporter:
              jingyimei Jingyi Mei
            • Votes:
              0 Vote for this issue
              Watchers:
              1 Start watching this issue

              Dates

              • Created:
                Updated: